apiVersion: broker.amq.io/v1beta1
kind: ActiveMQArtemis
metadata:
  creationTimestamp: '2023-05-23T10:00:30Z'
  generation: 1
  managedFields:
    - apiVersion: broker.amq.io/v1beta1
      fieldsType: FieldsV1
      fieldsV1:
        'f:spec':
          .: {}
          'f:acceptors': {}
          'f:deploymentPlan':
            .: {}
            'f:persistenceEnabled': {}
            'f:size': {}
      manager: fabric8-kubernetes-client
      operation: Update
      time: '2023-05-23T10:00:30Z'
    - apiVersion: broker.amq.io/v1beta1
      fieldsType: FieldsV1
      fieldsV1:
        'f:status':
          .: {}
          'f:conditions': {}
          'f:deploymentPlanSize': {}
          'f:podStatus':
            .: {}
            'f:starting': {}
          'f:scaleLabelSelector': {}
          'f:upgrade':
            .: {}
            'f:majorUpdates': {}
            'f:minorUpdates': {}
            'f:patchUpdates': {}
            'f:securityUpdates': {}
          'f:version':
            .: {}
            'f:brokerVersion': {}
            'f:image': {}
            'f:initImage': {}
      manager: activemq-artemis-operator
      operation: Update
      subresource: status
      time: '2023-05-23T10:00:31Z'
  name: cfg-broker-5f6
  namespace: brkconfig-tests-0b1a61
  resourceVersion: '52158048'
  uid: 81feaa6d-090a-4290-933a-f665d3259969
spec:
  acceptors:
    - expose: true
      name: amq-acceptor-original
      port: 5672
      protocols: amqp
    - expose: true
      name: amq-acceptor-other
      port: 5672
      protocols: core
  deploymentPlan:
    persistenceEnabled: true
    size: 1
status:
  conditions:
    - lastTransitionTime: '2023-05-23T10:00:31Z'
      message: ''
      observedGeneration: 1
      reason: ValidationSucceded
      status: 'True'
      type: Valid
    - lastTransitionTime: '2023-05-23T10:00:32Z'
      message: no available brokers
      reason: UnableToRetrieveStatus
      status: Unknown
      type: BrokerPropertiesApplied
    - lastTransitionTime: '2023-05-23T10:00:32Z'
      message: 0/1 pods ready
      reason: PodsNotReady
      status: 'False'
      type: Deployed
    - lastTransitionTime: '2023-05-23T10:00:32Z'
      message: Some conditions are not met
      reason: WaitingForAllConditions
      status: 'False'
      type: Ready
  deploymentPlanSize: 1
  podStatus:
    starting:
      - cfg-broker-5f6-ss-0
  scaleLabelSelector: 'application=cfg-broker-5f6-app,ActiveMQArtemis=cfg-broker-5f6'
  upgrade:
    majorUpdates: true
    minorUpdates: true
    patchUpdates: true
    securityUpdates: true
  version:
    brokerVersion: 2.28.0
    image: 'quay.io/artemiscloud/activemq-artemis-broker-kubernetes:1.0.15'
    initImage: 'quay.io/artemiscloud/activemq-artemis-broker-init:1.0.15'
